Yakkety Yak

lubuntu 16.10 Yakkety Yak released

Lubuntu 16.10 has been released! Please download it on the Ubuntu server. and read the release notes here. 

What’s improved since 16.04?

  • We now ship with Linux Kernel 4.8.
  • General bug fix release as we prepare to switch to LXQt.
  • LXDE components have been updated with bug fixes.
  • The artwork has received an update.

System Requirements

Lubuntu is a good operating system for many old computers, but not for all of them. Some computers have too little horsepower or memory. A rule of thumb is that the computer should not be more than 10 years old.

Memory (RAM)

For advanced internet services like Google+, YouTube, Google Drive, and Facebook, your computer needs at least 1 GB of RAM.

For local programs like LibreOffice and simple browsing habits, your computer needs at least 512 MB of RAM.

Processor (CPU)

The minimum specification for CPU is Pentium 4 or Pentium M or AMD K8. Older processors are too slow and the AMD K7 has problems with Flash video.

How do I get support?

Our support channel is #lubuntu on freenode IRC. If you don’t have an IRC client, click the link in the earlier sentence, type in a nickname, press start, state your question and press Enter to speak.

We also have the lubuntu-users mailing list. Send an email to lubuntu-users AT lists DOT ubuntu DOT com.

How do I contribute?

We always need more help! If you would like to contribute, head over to our Getting Involved page. If you have any questions about contributing, please join #lubuntu-devel on freenode or email the lubuntu-devel mailing list at lubuntu-devel AT lists DOT ubuntu DOT com.

Known issues

For known issues, please see the release notes.